<?php
/**
 * @file
 * openlucius_core_1.field_group.inc
 */

/**
 * Implements hook_field_group_info().
 */
function openlucius_core_1_field_group_info() {
  $field_groups = array();

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_enabled_apps|node|ol_group|form';
  $field_group->group_name = 'group_enabled_apps';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'ol_group';
  $field_group->mode = 'form';
  $field_group->parent_name = 'group_settings';
  $field_group->data = array(
    'label' => 'Enabled Apps',
    'weight' => '10',
    'children' => array(),
    'format_type' => 'htab',
    'format_settings' => array(
      'formatter' => 'closed',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-enabled-apps field-group-htab',
        'required_fields' => 1,
      ),
    ),
  );
  $field_groups['group_enabled_apps|node|ol_group|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_primary|node|ol_group|form';
  $field_group->group_name = 'group_primary';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'ol_group';
  $field_group->mode = 'form';
  $field_group->parent_name = 'group_settings';
  $field_group->data = array(
    'label' => 'Primary settings',
    'weight' => '9',
    'children' => array(
      0 => 'body',
      1 => 'field_shared_show_clients',
      2 => 'field_group_logo',
      3 => 'field_group_slogan',
      4 => 'field_shared_cover_image',
      5 => 'field_group_is_open',
      6 => 'title',
    ),
    'format_type' => 'htab',
    'format_settings' => array(
      'label' => 'Primary settings',
      'instance_settings' => array(
        'required_fields' => 1,
        'classes' => 'group-primary field-group-htab',
        'description' => '',
      ),
      'formatter' => 'open',
    ),
  );
  $field_groups['group_primary|node|ol_group|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_settings|node|ol_group|form';
  $field_group->group_name = 'group_settings';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'ol_group';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Group settings',
    'weight' => '9',
    'children' => array(
      0 => 'group_enabled_apps',
      1 => 'group_primary',
    ),
    'format_type' => 'htabs',
    'format_settings' => array(
      'formatter' => '',
      'instance_settings' => array(
        'classes' => 'group-settings field-group-htabs',
        'id' => '',
      ),
    ),
  );
  $field_groups['group_settings|node|ol_group|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_user_groups_tab|user|user|form';
  $field_group->group_name = 'group_user_groups_tab';
  $field_group->entity_type = 'user';
  $field_group->bundle = 'user';
  $field_group->mode = 'form';
  $field_group->parent_name = 'group_user_info';
  $field_group->data = array(
    'label' => 'Groups',
    'weight' => '4',
    'children' => array(
      0 => 'field_groups',
    ),
    'format_type' => 'htab',
    'format_settings' => array(
      'formatter' => 'closed',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-user-groups-tab field-group-htab',
        'required_fields' => 1,
      ),
    ),
  );
  $field_groups['group_user_groups_tab|user|user|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_user_image_tab|user|user|form';
  $field_group->group_name = 'group_user_image_tab';
  $field_group->entity_type = 'user';
  $field_group->bundle = 'user';
  $field_group->mode = 'form';
  $field_group->parent_name = 'group_user_info';
  $field_group->data = array(
    'label' => 'Image',
    'weight' => '3',
    'children' => array(
      0 => 'field_shared_cover_image',
      1 => 'picture',
    ),
    'format_type' => 'htab',
    'format_settings' => array(
      'formatter' => 'closed',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-user-image-tab field-group-htab',
        'required_fields' => 1,
      ),
    ),
  );
  $field_groups['group_user_image_tab|user|user|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_user_info_tab|user|user|form';
  $field_group->group_name = 'group_user_info_tab';
  $field_group->entity_type = 'user';
  $field_group->bundle = 'user';
  $field_group->mode = 'form';
  $field_group->parent_name = 'group_user_info';
  $field_group->data = array(
    'label' => 'Info',
    'weight' => '1',
    'children' => array(
      0 => 'field_user_about_me',
      1 => 'field_user_hash',
      2 => 'field_user_phone',
      3 => 'field_user_signature',
      4 => 'field_user_tags',
      5 => 'field_user_teams',
      6 => 'heartbeat',
      7 => 'account',
      8 => 'timezone',
      9 => 'locale',
      10 => 'wysiwyg',
    ),
    'format_type' => 'htab',
    'format_settings' => array(
      'formatter' => 'closed',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-user-info-tab field-group-htab',
        'required_fields' => 1,
      ),
    ),
  );
  $field_groups['group_user_info_tab|user|user|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_user_info|user|user|form';
  $field_group->group_name = 'group_user_info';
  $field_group->entity_type = 'user';
  $field_group->bundle = 'user';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Info',
    'weight' => '0',
    'children' => array(
      0 => 'group_user_info_tab',
      1 => 'group_user_mail_tab',
      2 => 'group_user_image_tab',
      3 => 'group_user_groups_tab',
    ),
    'format_type' => 'htabs',
    'format_settings' => array(
      'formatter' => '',
      'instance_settings' => array(
        'classes' => 'group-user-info field-group-htabs',
        'id' => '',
      ),
    ),
  );
  $field_groups['group_user_info|user|user|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_user_mail_tab|user|user|form';
  $field_group->group_name = 'group_user_mail_tab';
  $field_group->entity_type = 'user';
  $field_group->bundle = 'user';
  $field_group->mode = 'form';
  $field_group->parent_name = 'group_user_info';
  $field_group->data = array(
    'label' => 'E-mail notifications',
    'weight' => '2',
    'children' => array(
      0 => 'field_user_notify_mail',
      1 => 'mimemail',
    ),
    'format_type' => 'htab',
    'format_settings' => array(
      'formatter' => 'closed',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-user-mail-tab field-group-htab',
        'required_fields' => 1,
      ),
    ),
  );
  $field_groups['group_user_mail_tab|user|user|form'] = $field_group;

  // Translatables
  // Included for use with string extractors like potx.
  t('E-mail notifications');
  t('Enabled Apps');
  t('Group settings');
  t('Groups');
  t('Image');
  t('Info');
  t('Primary settings');

  return $field_groups;
}
