/**
 * @file
 * This file contains all jQuery for the comments.
 */
(function ($) {
  Drupal.behaviors.openlucius_comments = {
    attach: function (context, settings) {

      // Only trigger once.
      if (context == document) {
        var comments = $('.comment-holder'),
            count    = comments.length,
            header   = '.comment, .header-holder, .user-picture',
            body     = '.content, .links',
            all      = header + ', ' + body,
            last     = comments.eq(count - 1),
            beforeLast     = comments.eq(count - 2);

        // Make the comments grayish.
        comments.addClass('collapsed-comment');

        // Show header of first item and the one before last.
        $(header, comments.eq(0)).show();
        $(header, comments.eq(count - 2)).show();

        // Fully display the last item.
        $(all, last).show();
        last.removeClass('collapsed-comment');

        // Only collapse and create uncollapse all button if we have at least
        // 3 items.
        if (count > 3) {
          beforeLast.before('<div class="comment-hr-holder"><hr><hr><hr><hr><span class="open-comments"><span class="open-all-comments">' + (count - 3) + ' ' + Drupal.t('previous comments') + '</span></span></div>');
        }

        // Fold and unfold comments on click.
        $('.header-holder', comments).on('click', function() {
          var _this = $(this).parents('.comment-holder');

          // Check if this is a collapsed comment.
          if (_this.hasClass('collapsed-comment')) {
            $(all, _this).show();
            _this.removeClass('collapsed-comment');
          }
          else {
            _this.addClass('collapsed-comment');
            $(body, _this).hide();
          }
        });

        // Unfold to header display.
        $('.open-all-comments').on('click', function() {
          var unopened = $('.collapsed-comment');
          $(header, unopened).show();
          $('.comment-hr-holder').remove();
        });
      }
    }
  };
})(jQuery);